Skip to main content
GET
/
api
/
v1
/
jobs
/
{jobId}
/
results
cURL
curl "https://app.okrapdf.com/api/v1/jobs/ocr-abc123/results?include=tables" \
  -H "Authorization: Bearer okra_YOUR_KEY"
{
  "job_id": "<string>",
  "total_pages": 123,
  "results": {
    "tables": [
      {
        "page": 123,
        "table_index": 123,
        "markdown": "<string>",
        "headers": [
          "<string>"
        ],
        "row_count": 123,
        "confidence": 123
      }
    ],
    "text": [
      {
        "page": 123,
        "content": "<string>"
      }
    ],
    "entities": [
      {
        "type": "table",
        "page": 123,
        "title": "<string>"
      }
    ]
  },
  "filename": "<string>",
  "viewer_url": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token: Authorization: Bearer okra_xxx

Path Parameters

jobId
string
required

Query Parameters

format
enum<string>
default:json

Response format

Available options:
json,
markdown
include
string
default:tables,text,entities

Comma-separated list of result types to include

pages
string

Page filter: '1-5', '1,3,5', or '3'

Response

Extraction results

job_id
string
required
total_pages
integer | null
required
results
object
required
filename
string | null
viewer_url
string

URL to view the document in the OkraPDF web viewer